# LibreSprite ![Build Status](https://travis-ci.org/LibreSprite/LibreSprite.svg?branch=master)

## Introduction
LibreSprite is a free and open source program for creating and animating your sprites.
* Real-time animation previews.
* Onion skinning.
* Multiple sprites can be edited at once.
* Ready to use palettes, or make your own.
* Sprites are composed of both layers & frames.
* Tiled drawing mode, useful to draw patterns and textures.
* Pixel precise tools like filled contour, polygon, shading mode, etc.
* Several file types supported for your sprites and animations.

## Download
Grab an [AppImage](https://github.com/LibreSprite/LibreSprite/releases/tag/continuous) for Linux, or get the [Windows installer](https://github.com/LibreSprite/LibreSprite/releases/download/_tmp/LibreSpriteWin.exe).

## History
LibreSprite originated as a fork of [Aseprite](https://www.aseprite.org), developed by [David Capello](https://github.com/dacap). Aseprite used to be distributed under the GNU General Public License version 2, but was moved to a proprietary license on [August 26th, 2016](https://github.com/aseprite/aseprite/commit/5ecc356a41c8e29977f8608d8826489d24f5fa6c).

This fork was made on the [last commit](https://github.com/aseprite/aseprite/commit/03be4aa23db465219962f4c62410f628e7392545) covered by the GPL version 2 license, and is now developed independently of Aseprite.

## Contributing
As LibreSprite has a newly budding community, we need help building the infrastructure of our development, support, and news networks. If you would like to help, please make yourself known at [#LibreSprite](https://webchat.freenode.net/#LibreSprite) and checkout our our guide on [contributing](http://libresprite.org/wiki/index.php/Developer_Quick_Start).

## Compiling
Don't worry, it isn't as hard as you might think! Remember, we’re there to help you out at [#LibreSprite](https://webchat.freenode.net/#LibreSprite) if you get stuck.

The instructions are detailed [here](http://libresprite.org/wiki/index.php/Development_Environment_Setup).

## License
This program is distributed under the [GNU General Public License Version 2](LICENSE.txt).

## Credits
An ***enormous*** thank you to the original developers of [Aseprite](https://www.aseprite.org), without them and their original licensing this project wouldn’t exist. Additional shout-outs are given in the [list of contributors](CONTRIBUTORS.md). If you have submitted work to LibreSprite and would like to have your name on the list, please create a pull request or get in touch and we’ll make it happen.
